package com.sample;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

import org.drools.core.xml.jaxb.util.JaxbListWrapper;
import org.junit.Test;
import org.kie.api.runtime.manager.RuntimeEngine;
import org.kie.api.task.TaskService;
import org.kie.api.task.model.TaskSummary;
import org.kie.remote.client.api.RemoteRuntimeEngineFactory;

import com.sample.Answer;

public class CompleteTask61 {
	
	@Test
	public void completeTaskWithList() throws MalformedURLException, JAXBException {
		
		String deploymentId = "com.sample:jaxblist-kjar:1.0.0-SNAPSHOT:kieBase:kieSession";
		URL deploymentUrl = new URL("http://localhost:8080/business-central");
		String user = "bpmsAdmin";
		String password = "abc123@@";
		
		RuntimeEngine engine = RemoteRuntimeEngineFactory.newRestBuilder()
				.addUrl(deploymentUrl)
				.addUserName(user).addPassword(password)
				.addDeploymentId(deploymentId).addExtraJaxbClasses(new Class[] { com.sample.Answer.class })
				.build();
		
		TaskService taskService = engine.getTaskService();
		List<TaskSummary> taskSummaries = taskService.getTasksAssignedAsPotentialOwner(user, "en-UK");
		
		
		List<Answer> answers = new ArrayList<Answer>(1);
		Answer answer = new Answer();
		answer.setAnswer("1");
		answer.setQuestion("2-1?");
		answers.add(answer);
		
		for (TaskSummary taskSummary : taskSummaries) {
			taskService.start(taskSummary.getId(), user);
			Map<String, Object> params = new HashMap<String, Object>(1);
			params.put("answers", answers);
			taskService.complete(taskSummary.getId(), user, params);
		}
	}
	 
}
