package com.sample;

import java.net.MalformedURLException;
import java.net.URL;

import org.drools.core.xml.jaxb.util.JaxbListWrapper;
import org.junit.Assert;
import org.junit.Test;
import org.kie.api.runtime.KieSession;
import org.kie.api.runtime.manager.RuntimeEngine;
import org.kie.api.runtime.process.ProcessInstance;
import org.kie.remote.client.api.RemoteRuntimeEngineFactory;
import org.kie.services.client.api.RemoteRestRuntimeEngineFactoryBuilderImpl;
import org.kie.services.client.api.command.RemoteRuntimeEngine;

public class StartProcess61 {
	
	@Test
	public void startProcessTest() throws MalformedURLException {
		String deploymentId = "com.sample:jaxblist-kjar:1.0.0-SNAPSHOT:kieBase:kieSession";
		
		URL deploymentUrl = new URL("http://localhost:8080/business-central");
		String user = "bpmsAdmin";
		String password = "abc123@@";
		
		RuntimeEngine engine = RemoteRuntimeEngineFactory.newRestBuilder()
				.addUrl(deploymentUrl)
				.addUserName(user).addPassword(password)
				.addDeploymentId(deploymentId).addExtraJaxbClasses(new Class[] { com.sample.Answer.class })
					.build();
		
		KieSession ksession = engine.getKieSession();
		ProcessInstance processInstance = ksession.startProcess("project1.simple");
		Assert.assertNotNull(processInstance);
		System.out.println(processInstance);
		
	}
}
